View Issue Details

IDProjectCategoryView StatusLast Update
0004733Talermerchant backend API (C)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.2Fixed in Version0.2 
Summary0004733: merchant instance configuration is not properly namespaced
DescriptionCurrently, the configuration looks like this:

[Tor-wireformat]
...

We should instead prefix it with something, like

[merchant-instance-wireformat-Tor]
...
TagsNo tags attached.

Activities

Florian Dold

2016-10-17 01:39

manager   ~0011327

This might be just an issue with the configuration files, I've found both syntaxes ...

Marcello, what syntax is the current one?

Marcello Stanisci

2016-10-17 01:55

manager   ~0011328

It is:

[merchant-instance-XY]
...

[XY-wireformat]

See function instances_iterator_cb() in taler-merchant-httpd.c.

Florian Dold

2016-10-17 01:56

manager   ~0011329

yeah, but then we end up with configuration sections like

[taler-wireformat]

where it's not clear that this is the wireformat for a merchant instance

Marcello Stanisci

2016-10-17 23:23

manager   ~0011332

Fixed in 9499f7e..9644789. Config files in deployment updated accordingly.

Issue History

Date Modified Username Field Change
2016-10-17 01:38 Florian Dold New Issue
2016-10-17 01:38 Florian Dold Status new => assigned
2016-10-17 01:38 Florian Dold Assigned To => Marcello Stanisci
2016-10-17 01:39 Florian Dold Note Added: 0011327
2016-10-17 01:55 Marcello Stanisci Note Added: 0011328
2016-10-17 01:56 Florian Dold Note Added: 0011329
2016-10-17 23:23 Marcello Stanisci Note Added: 0011332
2016-10-17 23:23 Marcello Stanisci Status assigned => resolved
2016-10-17 23:23 Marcello Stanisci Resolution open => fixed
2016-10-20 21:41 Christian Grothoff Product Version => SVN HEAD
2016-10-20 21:41 Christian Grothoff Fixed in Version => 0.2
2016-10-20 21:41 Christian Grothoff Target Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed